Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class XMLDocumentParser

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.XMLParser
            |
            +--weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
                  |
                  +--weblogic.apache.xerces.parsers.XMLDocumentParser

public class XMLDocumentParser
extends AbstractXMLDocumentParser

This is a concrete vanilla XML parser class. It uses the abstract parser with either a BasicConfiguration object or the one specified by the application.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Constructor Summary
`XMLDocumentParser()` Constructs a document parser using the default basic parser configuration.
`XMLDocumentParser(SymbolTable symbolTable)` Constructs a document parser using the specified symbol table.
`XMLDocumentParser(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Constructs a document parser using the specified symbol table and grammar pool.
`XMLDocumentParser(XMLParserConfiguration config)` Constructs a document parser using the specified parser configuration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, attributeDecl, characters, comment, doctypeDecl, element, elementDecl, empty, emptyElement, endAttlist, endCDATA, endConditional, endContentModel, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endGroup, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocumentSource, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, separator, setDocumentSource, startAttlist, startCDATA, startConditional, startContentModel, startDocument, startDTD, startElement, startExternalSubset, startGeneralEntity, startGroup, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentParser

    public XMLDocumentParser()

  Constructs a document parser using the default basic parser configuration.

### XMLDocumentParser

    public XMLDocumentParser(XMLParserConfiguration config)

  Constructs a document parser using the specified parser configuration.

### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable)

  Constructs a document parser using the specified symbol table.

### XMLDocumentParser

    public XMLDocumentParser(SymbolTable symbolTable,
                             XMLGrammarPool grammarPool)

  Constructs a document parser using the specified symbol table and grammar pool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD